Opened 3 months ago

Closed 4 weeks ago

#1720 closed enhancement (fixed)

gzip module documentation does not warn about BREACH

Reported by: randomstuff@… Owned by: yar
Priority: minor Milestone:
Component: documentation Version:
Keywords: security Cc:
uname -a:
nginx -V: nginx version: nginx/1.6.2 TLS SNI support enabled configure arguments: --with-cc-opt='-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2' --with-ld-opt=-Wl,-z,relro --prefix=/usr/share/nginx --conf-path=/etc/nginx/nginx.conf --http-log-path=/var/log/nginx/access.log --error-log-path=/var/log/nginx/error.log --lock-path=/var/lock/nginx.lock --pid-path=/run/nginx.pid --http-client-body-temp-path=/var/lib/nginx/body --http-fastcgi-temp-path=/var/lib/nginx/fastcgi --http-proxy-temp-path=/var/lib/nginx/proxy --http-scgi-temp-path=/var/lib/nginx/scgi --http-uwsgi-temp-path=/var/lib/nginx/uwsgi --with-debug --with-pcre-jit --with-ipv6 --with-http_ssl_module --with-http_stub_status_module --with-http_realip_module --with-http_auth_request_module --with-http_addition_module --with-http_dav_module --with-http_flv_module --with-http_geoip_module --with-http_gzip_static_module --with-http_image_filter_module --with-http_mp4_module --with-http_perl_module --with-http_random_index_module --with-http_secure_link_module --with-http_spdy_module --with-http_sub_module --with-http_xslt_module --with-mail --with-mail_ssl_module --add-module=/build/nginx-1.6.2/debian/modules/headers-more-nginx-module --add-module=/build/nginx-1.6.2/debian/modules/nginx-auth-pam --add-module=/build/nginx-1.6.2/debian/modules/nginx-cache-purge --add-module=/build/nginx-1.6.2/debian/modules/nginx-dav-ext-module --add-module=/build/nginx-1.6.2/debian/modules/nginx-development-kit --add-module=/build/nginx-1.6.2/debian/modules/nginx-echo --add-module=/build/nginx-1.6.2/debian/modules/ngx-fancyindex --add-module=/build/nginx-1.6.2/debian/modules/nginx-http-push --add-module=/build/nginx-1.6.2/debian/modules/nginx-lua --add-module=/build/nginx-1.6.2/debian/modules/nginx-upload-progress --add-module=/build/nginx-1.6.2/debian/modules/nginx-upstream-fair --add-module=/build/nginx-1.6.2/debian/modules/ngx_http_substitutions_filter_module

Description

The gzip documentation (http://nginx.org/en/docs/http/ngx_http_gzip_module.html) does not warn about BREACH vulnerabilities opened-up by enabling gzip.

It should probably warn as well that text/html currenlyt cannot be disabled: AFAIU, this type is especially subsceptible to BREACH attachs (see #1083)
(compared to things like text/css, image/*). See #1083.

Change History (3)

comment:1 Changed 3 months ago by mdounin

  • Milestone nginx-1.15 deleted
  • Priority changed from major to minor
  • Type changed from defect to enhancement

comment:2 Changed 7 weeks ago by yar

  • Owner set to yar
  • Status changed from new to assigned
Note: See TracTickets for help on using tickets.